<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/findingFragment">

    <fragment
        android:id="@+id/findingFragment"
        android:name="com.example.pd_android.ui.FindingFragment"
        android:label="Найденные"
        tools:layout="@layout/fragment_finding">
        <action
            android:id="@+id/action_findingFragment_to_missingFragment"
            app:destination="@id/missingFragment" />
        <action
            android:id="@+id/action_findingFragment_to_missingFormFragment"
            app:destination="@id/missingFormFragment" />
        <action
            android:id="@+id/action_findingFragment_to_findingFormFragment"
            app:destination="@id/findingFormFragment" />
        <action
            android:id="@+id/action_findingFragment_to_singleFragment"
            app:destination="@id/singleFragment" />
    </fragment>
    <fragment
        android:id="@+id/missingFragment"
        android:name="com.example.pd_android.ui.MissingFragment"
        android:label="Потерянные"
        tools:layout="@layout/fragment_missing">
        <action
            android:id="@+id/action_missingFragment_to_findingFragment"
            app:destination="@id/findingFragment" />
        <action
            android:id="@+id/action_missingFragment_to_missingFormFragment"
            app:destination="@id/missingFormFragment" />
        <action
            android:id="@+id/action_missingFragment_to_findingFormFragment"
            app:destination="@id/findingFormFragment" />
        <action
            android:id="@+id/action_missingFragment_to_singleFragment"
            app:destination="@id/singleFragment" />
    </fragment>
    <fragment
        android:id="@+id/findingFormFragment"
        android:name="com.example.pd_android.ui.FindingFormFragment"
        android:label="Добавить найдёныша"
        tools:layout="@layout/fragment_finding_form">
        <action
            android:id="@+id/action_findingFormFragment_to_missingFormFragment"
            app:destination="@id/missingFormFragment" />
        <action
            android:id="@+id/action_findingFormFragment_to_missingFragment"
            app:destination="@id/missingFragment" />
        <action
            android:id="@+id/action_findingFormFragment_to_findingFragment"
            app:destination="@id/findingFragment" />
    </fragment>
    <fragment
        android:id="@+id/missingFormFragment"
        android:name="com.example.pd_android.ui.MissingFormFragment"
        android:label="Добавить пропажу"
        tools:layout="@layout/fragment_missing_form">
        <action
            android:id="@+id/action_missingFormFragment_to_findingFragment"
            app:destination="@id/findingFragment" />
        <action
            android:id="@+id/action_missingFormFragment_to_missingFragment"
            app:destination="@id/missingFragment" />
        <action
            android:id="@+id/action_missingFormFragment_to_findingFormFragment"
            app:destination="@id/findingFormFragment" />
    </fragment>
    <fragment
        android:id="@+id/singleFragment"
        android:name="com.example.pd_android.ui.SingleFragment"
        android:label="Объявление"
        tools:layout="@layout/fragment_single">
        <action
            android:id="@+id/action_singleFragment_to_findingFragment"
            app:destination="@id/findingFragment" />
        <action
            android:id="@+id/action_singleFragment_to_missingFragment"
            app:destination="@id/missingFragment" />
    </fragment>
</navigation>